from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class CompanyAuthSubmitRequest(BaseHttpRequest):

    def __init__(self, privacy=None, authMode=None, companyName=None, registerNo=None, legalPerson=None, legalPersonCardNo=None, legalPersonPhone=None,
                sendSignSms=None, applicant=None, companyType=None, area=None, license=None, operAuthorization=None, callbackUrl=None):
        self.__privacy = privacy
        self.__authMode = authMode
        self.__companyName = companyName
        self.__registerNo = registerNo
        self.__legalPerson = legalPerson
        self.__legalPersonCardNo = legalPersonCardNo
        self.__legalPersonPhone = legalPersonPhone
        self.__sendSignSms = sendSignSms
        self.__applicant = applicant
        self.__companyType = companyType
        self.__area = area
        self.__license = license
        self.__operAuthorization = operAuthorization
        self.__callbackUrl = callbackUrl

    def get_privacy(self):
        return self.__privacy

    def set_privacy(self, value):
        self.__privacy = value

    def get_authMode(self):
        return self.__authMode

    def set_authMode(self, value):
        self.__authMode = value

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_registerNo(self):
        return self.__registerNo

    def set_registerNo(self, value):
        self.__registerNo = value

    def get_legalPerson(self):
        return self.__legalPerson

    def set_legalPerson(self, value):
        self.__legalPerson = value

    def get_legalPersonCardNo(self):
        return self.__legalPersonCardNo

    def set_legalPersonCardNo(self, value):
        self.__legalPersonCardNo = value

    def get_legalPersonPhone(self):
        return self.__legalPersonPhone

    def set_legalPersonPhone(self, value):
        self.__legalPersonPhone = value

    def get_sendSignSms(self):
        return self.__sendSignSms

    def set_sendSignSms(self, value):
        self.__sendSignSms = value

    def get_applicant(self):
        return self.__applicant

    def set_applicant(self, value):
        self.__applicant = value

    def get_companyType(self):
        return self.__companyType

    def set_companyType(self, value):
        self.__companyType = value

    def get_area(self):
        return self.__area

    def set_area(self, value):
        self.__area = value

    def get_license(self):
        return self.__license

    def set_license(self, value):
        self.__license = value

    def get_operAuthorization(self):
        return self.__operAuthorization

    def set_operAuthorization(self, value):
        self.__operAuthorization = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_path(self):
        return '/companyauth/submit'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__privacy is not None:
            parameter.add_file('privacy', self.__privacy)
        if self.__authMode is not None:
            parameter.add_params('authMode', self.__authMode)
        if self.__companyName is not None:
            parameter.add_params('companyName', self.__companyName)
        if self.__registerNo is not None:
            parameter.add_params('registerNo', self.__registerNo)
        if self.__legalPerson is not None:
            parameter.add_params('legalPerson', self.__legalPerson)
        if self.__legalPersonCardNo is not None:
            parameter.add_params('legalPersonCardNo', self.__legalPersonCardNo)
        if self.__legalPersonPhone is not None:
            parameter.add_params('legalPersonPhone', self.__legalPersonPhone)
        if self.__sendSignSms is not None:
            parameter.add_params('sendSignSms', self.__sendSignSms)
        if self.__applicant is not None:
            parameter.add_params('applicant', self.__applicant)
        if self.__companyType is not None:
            parameter.add_params('companyType', self.__companyType)
        if self.__area is not None:
            parameter.add_params('area', self.__area)
        if self.__license is not None:
            parameter.add_file('license', self.__license)
        if self.__operAuthorization is not None:
            parameter.add_file('operAuthorization', self.__operAuthorization)
        if self.__callbackUrl is not None:
            parameter.add_params('callbackUrl', self.__callbackUrl)
        return parameter