import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class CompanyChangeInfoRequest(BaseHttpRequest):

    def __init__(self, companyName=None, companyId=None, registerNo=None, applicant=None, h5=None):
        self.__companyName = companyName
        self.__companyId = companyId
        self.__registerNo = registerNo
        self.__applicant = applicant
        self.__h5 = h5

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_companyId(self):
        return self.__companyId

    def set_companyId(self, value):
        self.__companyId = value

    def get_registerNo(self):
        return self.__registerNo

    def set_registerNo(self, value):
        self.__registerNo = value

    def get_applicant(self):
        return self.__applicant

    def set_applicant(self, value):
        self.__applicant = value

    def get_h5(self):
        return self.__h5

    def set_h5(self, value):
        self.__h5 = value

    def get_path(self):
        return '/v2/company/changeinfo'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__companyName is not None:
            json_dic['companyName'] = self.__companyName
        if self.__companyId is not None:
            json_dic['companyId'] = self.__companyId
        if self.__registerNo is not None:
            json_dic['registerNo'] = self.__registerNo
        if self.__applicant is not None:
            json_dic['applicant'] = self.__applicant.to_json()
        if self.__h5 is not None:
            json_dic['h5'] = self.__h5
        parameter.set_json(json.dumps(json_dic))
        return parameter