import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class ContractCopySendRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, receivers=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__receivers = receivers

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_receivers(self):
        return self.__receivers

    def set_receivers(self, value):
        self.__receivers = value

    def get_path(self):
        return '/v2/contract/copysend'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['__bizId'] = self.__bizId
        if self.__tenantName is not None:
            json_dic['__tenantName'] = self.__tenantName
        if self.__receivers is not None:
            receiver_list = []
            for receiver in self.__receivers:
                receiver_list.append(receiver.to_json())
            json_dic['receivers'] = receiver_list
        parameter.set_json(json.dumps(json_dic))
        return parameter