from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class ContractDownloadUrlRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, downloadItems=None, compress=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__downloadItems = downloadItems
        self.__compress = compress

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_downloadItems(self):
        return self.__downloadItems

    def set_downloadItems(self, value):
        self.__downloadItems = value

    def get_compress(self):
        return self.__compress

    def set_compress(self, value):
        self.__compress = value

    def get_path(self):
        return '/v2/contract/downloadurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__contractId is not None:
            parameter.add_params('contractId', self.__contractId)
        if self.__bizId is not None:
            parameter.add_params('bizId', self.__bizId)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        if self.__downloadItems is not None:
            parameter.add_params('downloadItems', ",".join(self.__downloadItems))
        if self.__compress is not None:
            parameter.add_params('compress', self.__compress)
        return parameter
