import json

from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class ContractInvalidByFileRequest(BaseHttpRequest):

    def __init__(self, invalidInfo=None, file=None, receivers=None):
        self.__invalidInfo = invalidInfo
        self.__file = file
        self.__receivers = receivers

    def get_invalidInfo(self):
        return self.__invalidInfo

    def set_invalidInfo(self, value):
        self.__invalidInfo = value

    def get_file(self):
        return self.__file

    def set_file(self, value):
        self.__file = value

    def get_receivers(self):
        return self.__receivers

    def set_receivers(self, value):
        self.__receivers = value

    def get_path(self):
        return '/v2/contract/invalidbyfile'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__invalidInfo is not None:
            parameter.add_params('invalidInfo', json.dumps(self.__invalidInfo.to_json()))
        if self.__file is not None:
            parameter.add_file('file', self.__file)
        if self.__receivers is not None:
            parameter.add_params('receivers', json.dumps(self.__receivers.to_json()))
        return parameter
