from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class ContractListRequest(BaseHttpRequest):

    def __init__(self, tenantName=None, status=None, createTimeOrder=None, categoryId=None, categoryName=None,
                 selectOffset=None, selectLimit=None, publishTimeStart=None, publishTimeEnd=None, signatoryType=None):
        self.__tenantName = tenantName
        self.__status = status
        self.__createTimeOrder = createTimeOrder
        self.__categoryId = categoryId
        self.__categoryName = categoryName
        self.__selectOffset = selectOffset
        self.__selectLimit = selectLimit
        self.__publishTimeStart = publishTimeStart
        self.__publishTimeEnd = publishTimeEnd
        self.__signatoryType = signatoryType

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_status(self):
        return self.__status

    def set_status(self, value):
        self.__status = value

    def get_createTimeOrder(self):
        return self.__createTimeOrder

    def set_createTimeOrder(self, value):
        self.__createTimeOrder = value

    def get_categoryId(self):
        return self.__categoryId

    def set_categoryId(self, value):
        self.__categoryId = value

    def get_categoryName(self):
        return self.__categoryName

    def set_categoryName(self, value):
        self.__categoryName = value

    def get_selectOffset(self):
        return self.__selectOffset

    def set_selectOffset(self, value):
        if not isinstance(value, int):
            raise ValueError('selectOffset must be an integer!')
        self.__selectOffset = value

    def get_selectLimit(self):
        return self.__selectLimit

    def set_selectLimit(self, value):
        if not isinstance(value, int):
            raise ValueError('selectLimit must be an integer!')
        self.__selectLimit = value

    def get_publishTimeStart(self):
        return self.__publishTimeStart

    def set_publishTimeStart(self, value):
        self.__publishTimeStart = value

    def get_publishTimeEnd(self):
        return self.__publishTimeEnd

    def set_publishTimeEnd(self, value):
        self.__publishTimeEnd = value

    def get_signatoryType(self):
        return self.__signatoryType

    def set_signatoryType(self, value):
        self.__signatoryType = value

    def get_path(self):
        return '/v2/contract/list'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        if self.__status is not None:
            parameter.add_params('status', self.__status)
        if self.__createTimeOrder is not None:
            parameter.add_params('createTimeOrder', self.__createTimeOrder)
        if self.__categoryId is not None:
            parameter.add_params('categoryId', self.__categoryId)
        if self.__categoryName is not None:
            parameter.add_params('categoryName', self.__categoryName)
        if self.__selectOffset is not None:
            parameter.add_params('selectOffset', self.__selectOffset)
        if self.__selectLimit is not None:
            parameter.add_params('selectLimit', self.__selectLimit)
        if self.__publishTimeStart is not None:
            parameter.add_params('publishTimeStart', self.__publishTimeStart)
        if self.__publishTimeEnd is not None:
            parameter.add_params('publishTimeEnd', self.__publishTimeEnd)
        if self.__signatoryType is not None:
            parameter.add_params('signatoryType', self.__signatoryType)
        return parameter
