from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class ContractNoticeRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, signatoryId=None, tenantName=None, onlySigning=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__signatoryId = signatoryId
        self.__tenantName = tenantName
        self.__onlySigning = onlySigning

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_signatoryId(self):
        return self.__signatoryId

    def set_signatoryId(self, value):
        self.__signatoryId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_onlySigning(self):
        return self.__onlySigning

    def set_onlySigning(self, value):
        self.__onlySigning = value

    def get_path(self):
        return '/v2/contract/notice'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__signatoryId is not None:
            json_dic['signatoryId'] = self.__signatoryId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__onlySigning is not None:
            json_dic['onlySigning'] = self.__onlySigning
        parameter.set_json(json.dumps(json_dic))
        return parameter
