from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class ContractPageRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, user=None, callbackPage=None, tenantName=None, pageType=None,
                 hideReturnButton=None, allowPasswordSign=None, lang=None, pageStyle=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__user = user
        self.__callbackPage = callbackPage
        self.__tenantName = tenantName
        self.__pageType = pageType
        self.__hideReturnButton = hideReturnButton
        self.__allowPasswordSign = allowPasswordSign
        self.__lang = lang
        self.__pageStyle = pageStyle

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_callbackPage(self):
        return self.__callbackPage

    def set_callbackPage(self, value):
        self.__callbackPage = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_pageType(self):
        return self.__pageType

    def set_pageType(self, value):
        self.__pageType = value

    def get_hideReturnButton(self):
        return self.__hideReturnButton

    def set_hideReturnButton(self, value):
        self.__hideReturnButton = value

    def get_allowPasswordSign(self):
        return self.__allowPasswordSign

    def set_allowPasswordSign(self, value):
        self.__allowPasswordSign = value

    def get_lang(self):
        return self.__lang

    def set_lang(self, value):
        self.__lang = value

    def get_pageStyle(self):
        return self.__pageStyle

    def set_pageStyle(self, value):
        self.__pageStyle = value

    def get_path(self):
        return '/v2/contract/pageurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__contractId is not None:
            json_dic['contractId'] = self.__contractId
        if self.__bizId is not None:
            json_dic['bizId'] = self.__bizId
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__callbackPage is not None:
            json_dic['callbackPage'] = self.__callbackPage
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__pageType is not None:
            json_dic['pageType'] = self.__pageType
        if self.__hideReturnButton is not None:
            json_dic['hideReturnButton'] = self.__hideReturnButton
        if self.__allowPasswordSign is not None:
            json_dic['allowPasswordSign'] = self.__allowPasswordSign
        if self.__lang is not None:
            json_dic['lang'] = self.__lang
        if self.__pageStyle is not None:
            json_dic['pageStyle'] = self.__pageStyle.to_json()
        parameter.set_json(json.dumps(json_dic))
        return parameter
