from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class ContractStreamRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, operation=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__operation = operation

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_operation(self):
        return self.__operation

    def set_operation(self, value):
        self.__operation = value


    def get_path(self):
        return '/v2/contract/stream'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__contractId is not None:
            parameter.add_params('contractId', self.__contractId)
        if self.__bizId is not None:
            parameter.add_params('bizId', self.__bizId)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        if self.__operation is not None:
            parameter.add_params('operation', self.__operation)
        return parameter
