from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class ContractViewPageRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, documentId=None, tenantName=None, lang=None, themeColor=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__documentId = documentId
        self.__tenantName = tenantName
        self.__lang = lang
        self.__themeColor = themeColor

    def get_path(self):
        return '/v2/contract/viewurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__contractId is not None:
            parameter.add_params('contractId', self.__contractId)
        if self.__bizId is not None:
            parameter.add_params('bizId', self.__bizId)
        if self.__documentId is not None:
            parameter.add_params('documentId', self.__documentId)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        if self.__lang is not None:
            parameter.add_params('lang', self.__lang)
        if self.__themeColor is not None:
            parameter.add_params('themeColor', self.__themeColor)
        return parameter

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_documentId(self):
        return self.__documentId

    def set_documentId(self, value):
        self.__documentId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_lang(self):
        return self.__lang

    def set_lang(self, value):
        self.__lang = value

    def get_themeColor(self):
        return self.__themeColor

    def set_themeColor(self, value):
        self.__themeColor = value
