from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class CustomerAddRequest(BaseHttpRequest):

    def __init__(self, tenantType=None,
                 companyName=None,
                 alternateContact=None,
                 user=None):
        self.__tenantType = tenantType
        self.__companyName = companyName
        self.__alternateContact = alternateContact
        self.__user = user

    def get_tenantType(self):
        return self.__tenantType

    def set_tenantType(self, value):
        self.__tenantType = value

    def get_companyName(self):

        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_alternateContact(self):
        return self.__alternateContact

    def set_alternateContact(self, value):
        self.__alternateContact = value

    def get_user(self):
        return self.__alternateContact

    def set_user(self, value):
        self.__user = value

    def get_path(self):
        return '/v2/customer/add'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__tenantType is not None:
            json_dic['tenantType'] = self.__tenantType
        if self.__companyName is not None:
            json_dic['companyName'] = self.__companyName
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__alternateContact is not None:
            json_dic['alternateContact'] = self.__alternateContact
        parameter.set_json(json.dumps(json_dic))
        return parameter
