from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class DocumentAddByMultipleFileRequest(BaseHttpRequest):

    def __init__(self, contractId=None, files=None, title=None, bizId=None, tenantName=None, documentSort=None):
        self.__contractId = contractId
        self.__files = files
        self.__title = title
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__documentSort = documentSort

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_files(self):
        return self.__files

    def set_files(self, value):
        self.__files = value

    def get_title(self):
        return self.__title

    def set_title(self, value):
        self.__title = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_documentSort(self):
        return self.__documentSort

    def set_documentSort(self, value):
        self.__documentSort = value

    def get_path(self):
        return '/v2/document/addbyfiles'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__contractId is not None:
            parameter.add_params('contractId', self.__contractId)
        if self.__files is not None:
            for index in range(len(self.__files)):
                parameter.add_file('files[%d]' % (index), self.__files[index])
        if self.__title is not None:
            parameter.add_params('title', self.__title)
        if self.__bizId is not None:
            parameter.add_params('bizId', self.__bizId)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        if self.__documentSort is not None:
            parameter.add_params('documentSort', self.__documentSort)
        return parameter
