from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
from bean.User import *


class EmployeeRemoveRequest(BaseHttpRequest):

    def __init__(self, user=None, tenantName=None, transferEmployee=None):
        self.__user = user
        self.__tenantName = tenantName
        self.__transferEmployee = transferEmployee

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/employee/remove'

    def get_params(self):
        json_dic = {}
        parameter = HttpParameter(RequestMethod.POST)
        if self.__user is not None:
            if self.__user.get_name() is not None:
                json_dic['name'] = self.__user.get_name()
            if self.__user.get_contact() is not None:
                json_dic['contact'] = self.__user.get_contact()
            if self.__user.get_contactType() is not None:
                json_dic['contactType'] = self.__user.get_contactType()
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__transferEmployee is not None:
            json_dic['transferEmployee'] = self.__transferEmployee.to_json()
        parameter.set_json(json.dumps(json_dic))
        return parameter
