import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class OpenSSOPrivilegeUrlRequest(BaseHttpRequest):

    def __init__(self, company=None, user=None, successUrl=None, callbackUrl=None, pageStyle=None):
        self.__company = company
        self.__user = user
        self.__successUrl = successUrl
        self.__callbackUrl = callbackUrl
        self.__pageStyle = pageStyle

    def get_company(self):
        return self.__company

    def set_company(self, value):
        self.__company = value

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_successUrl(self):
        return self.__successUrl

    def set_successUrl(self, value):
        self.__successUrl = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_pageStyle(self):
        return self.__pageStyle

    def set_pageStyle(self, value):
        self.__pageStyle = value

    def get_path(self):
        return '/v2/ssoprivilege/url'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__company is not None:
            json_dic['company'] = self.__company.to_json()
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__successUrl is not None:
            json_dic['successUrl'] = self.__successUrl
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        if self.__pageStyle is not None:
            json_dic['pageStyle'] = self.__pageStyle.to_json()
        parameter.set_json(json.dumps(json_dic))
        return parameter