
from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class PersonalSignAuthUrlRequest(BaseHttpRequest):

    def __init__(self, user=None, authDeadline=None, remark=None, callbackUrl=None, tenantName=None, authMethod=None,
                 authInfo=None, pageStyle=None, allowPersonalAuto=None):
        self.__user = user
        self.__authDeadline = authDeadline
        self.__remark = remark
        self.__callbackUrl = callbackUrl
        self.__tenantName = tenantName
        self.__authMethod = authMethod
        self.__authInfo = authInfo
        self.__pageStyle = pageStyle
        self.__allowPersonalAuto = allowPersonalAuto


    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_authDeadline(self):
        return self.__authDeadline

    def set_authDeadline(self, value):
        self.__authDeadline = value

    def get_remark(self):
        return self.__remark

    def set_remark(self, value):
        self.__remark = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_authMethod(self):
        return self.__authMethod

    def set_authMethod(self, value):
        self.__authMethod = value

    def get_authInfo(self):
        return self.__authInfo

    def set_authInfo(self, value):
        self.__authInfo = value

    def get_pageStyle(self):
        return self.__pageStyle

    def set_pageStyle(self, value):
        self.__pageStyle = value

    def get_allowPersonalAuto(self):
        return self.__allowPersonalAuto

    def set_allowPersonalAuto(self, value):
        self.__allowPersonalAuto = value

    def get_path(self):
        return '/v2/personalsign/authurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__authDeadline is not None:
            json_dic['authDeadline'] = self.__authDeadline
        if self.__remark is not None:
            json_dic['remark'] = self.__remark
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        if self.__authMethod is not None:
            json_dic['authMethod'] = self.__authMethod
        if self.__authInfo is not None:
            json_dic['authInfo'] = self.__authInfo.to_json()
        if self.__pageStyle is not None:
            json_dic['pageStyle'] = self.__pageStyle.to_json()
        if self.__allowPersonalAuto is not None:
            json_dic['allowPersonalAuto'] = self.__allowPersonalAuto
        parameter.set_json(json.dumps(json_dic))
        return parameter
