import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class RoleManagementRequest(BaseHttpRequest):

    def __init__(self, tenantName=None, role=None, operate=None, users=None):
        self.__tenantName = tenantName
        self.__role = role
        self.__operate = operate
        self.__users = users

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_role(self):
        return self.__role

    def set_role(self, value):
        self.__role = value

    def get_operate(self):
        return self.__operate

    def set_operate(self, value):
        self.__operate = value

    def get_users(self):
        return self.__users

    def set_users(self, value):
        self.__users = value



    def get_path(self):
        return '/v2/role/manage'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__role is not None:
            json_dic['role'] = self.__role
        if self.__operate is not None:
            json_dic['operate'] = self.__operate
        if self.__users is not None:
            user_list = []
            for user in self.__users:
                user_list.append(user.to_json())
            json_dic['users'] = user_list
        parameter.set_json(json.dumps(json_dic))
        return parameter