import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SaaSCompanyAccessControlRequest(BaseHttpRequest):

    def __init__(self, company=None, operate=None):
        self.__company = company
        self.__operate = operate

    def get_company(self):
        return self.__company

    def set_company(self, value):
        self.__company = value

    def get_operate(self):
        return self.__operate

    def set_operate(self, value):
        self.__operate = value


    def get_path(self):
        return '/saas/v2/company/accesscontrol'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__company is not None:
            json_dic['company'] = self.__company.to_json()
        if self.__operate is not None:
            json_dic['operate'] = self.__operate
        parameter.set_json(json.dumps(json_dic))
        return parameter