import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SaaSCompanyDetailRequest(BaseHttpRequest):

    def __init__(self, companyName=None, registerNo=None):
        self.__companyName = companyName
        self.__registerNo = registerNo

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_registerNo(self):
        return self.__registerNo

    def set_registerNo(self, value):
        self.__registerNo = value

    def get_path(self):
        return '/saas/v2/company/detail'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__companyName is not None:
            parameter.add_params('companyName', self.__companyName)
        if self.__registerNo is not None:
            parameter.add_params('registerNo', self.__registerNo)
        return parameter