import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class SaaSPersonalAccessControlRequest(BaseHttpRequest):

    def __init__(self, operate=None, user=None):
        self.__operate = operate
        self.__user = user

    def get_operate(self):
        return self.__operate

    def set_operate(self, value):
        self.__operate = value

    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_path(self):
        return '/saas/v2/personal/accesscontrol'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__operate is not None:
            json_dic['operate'] = self.__operate
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        parameter.set_json(json.dumps(json_dic))
        return parameter
