
from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class SaaSPersonalSignAuthUrlRequest(BaseHttpRequest):

    def __init__(self, user=None, authDeadline=None, remark=None, callbackUrl=None, company=None, appId=None, pageStyle=None,
                 allowPersonalAuto=None):
        self.__user = user
        self.__authDeadline = authDeadline
        self.__remark = remark
        self.__callbackUrl = callbackUrl
        self.__company = company
        self.__appId = appId
        self.__pageStyle = pageStyle
        self.__allowPersonalAuto = allowPersonalAuto


    def get_user(self):
        return self.__user

    def set_user(self, value):
        self.__user = value

    def get_authDeadline(self):
        return self.__authDeadline

    def set_authDeadline(self, value):
        self.__authDeadline = value

    def get_remark(self):
        return self.__remark

    def set_remark(self, value):
        self.__remark = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_company(self):
        return self.__company

    def set_company(self, value):
        self.__company = value

    def get_appId(self):
        return self.__appId

    def set_appId(self, value):
        self.__appId = value

    def get_pageStyle(self):
        return self.__pageStyle

    def set_pageStyle(self, value):
        self.__pageStyle = value

    def get_allowPersonalAuto(self):
        return self.__allowPersonalAuto

    def set_allowPersonalAuto(self, value):
        self.__allowPersonalAuto = value

    def get_path(self):
        return '/saas/v2/personalsign/authurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__user is not None:
            json_dic['user'] = self.__user.to_json()
        if self.__authDeadline is not None:
            json_dic['authDeadline'] = self.__authDeadline
        if self.__remark is not None:
            json_dic['remark'] = self.__remark
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        if self.__company is not None:
            json_dic['company'] = self.__company.to_json()
        if self.__appId is not None:
            json_dic['appId'] = self.__appId
        if self.__pageStyle is not None:
            json_dic['pageStyle'] = self.__pageStyle.to_json()
        if self.__allowPersonalAuto is not None:
            json_dic['allowPersonalAuto'] = self.__allowPersonalAuto
        parameter.set_json(json.dumps(json_dic))
        return parameter
