
from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class SaaSSealSignAuthUrlRequest(BaseHttpRequest):

    def __init__(self, sealAdmin=None, authDeadline=None, remark=None, callbackUrl=None, company=None, appId=None,
                 returnUrl=None):
        self.__sealAdmin = sealAdmin
        self.__authDeadline = authDeadline
        self.__remark = remark
        self.__callbackUrl = callbackUrl
        self.__company = company
        self.__appId = appId
        self.__returnUrl = returnUrl


    def get_sealAdmin(self):
        return self.__sealAdmin

    def set_sealAdmin(self, value):
        self.__sealAdmin = value

    def get_authDeadline(self):
        return self.__authDeadline

    def set_authDeadline(self, value):
        self.__authDeadline = value

    def get_remark(self):
        return self.__remark

    def set_remark(self, value):
        self.__remark = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_company(self):
        return self.__company

    def set_company(self, value):
        self.__company = value

    def get_appId(self):
        return self.__appId

    def set_appId(self, value):
        self.__appId = value

    def get_returnUrl(self):
        return self.__returnUrl

    def set_returnUrl(self, value):
        self.__returnUrl = value

    def get_path(self):
        return '/saas/v2/sealsign/authurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__sealAdmin is not None:
            json_dic['sealAdmin'] = self.__sealAdmin.to_json()
        if self.__authDeadline is not None:
            json_dic['authDeadline'] = self.__authDeadline
        if self.__remark is not None:
            json_dic['remark'] = self.__remark
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        if self.__returnUrl is not None:
            json_dic['returnUrl'] = self.__returnUrl
        if self.__company is not None:
            json_dic['company'] = self.__company.to_json()
        if self.__appId is not None:
            json_dic['appId'] = self.__appId
        parameter.set_json(json.dumps(json_dic))
        return parameter
