from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod
import json


class SaasApplyAppRequest(BaseHttpRequest):

    def __init__(self, companyId=None, appName=None,
                 domain=None, loginUrl=None,
                 casVerifyUrl=None, callbackUrl=None,
                 contractCallbackUrl=None, messageStrategy=None,
                 contractMessageCallbackUrl=None, contractByPage=None,
                 callbackForPage=None, sealAuthCallbackUrl=None):
        self.__companyId = companyId
        self.__appName = appName
        self.__domain = domain
        self.__loginUrl = loginUrl
        self.__casVerifyUrl = casVerifyUrl
        self.__callbackUrl = callbackUrl
        self.__contractCallbackUrl = contractCallbackUrl
        self.__messageStrategy = messageStrategy
        self.__contractMessageCallbackUrl = contractMessageCallbackUrl
        self.__contractByPage = contractByPage
        self.__callbackForPage = callbackForPage
        self.__sealAuthCallbackUrl = sealAuthCallbackUrl

    def get_companyId(self):
        return self.__companyId

    def set_companyId(self, value):
        self.__companyId = value

    def get_appName(self):
        return self.__appName

    def set_appName(self, value):
        self.__appName = value

    def get_domain(self):
        return self.__domain

    def set_domain(self, value):
        self.__domain = value

    def get_loginUrl(self):
        return self.__loginUrl

    def set_loginUrl(self, value):
        self.__loginUrl = value

    def get_casVerifyUrl(self):
        return self.__casVerifyUrl

    def set_casVerifyUrl(self, value):
        self.__casVerifyUrl = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_contractCallbackUrl(self):
        return self.__contractCallbackUrl

    def set_contractCallbackUrl(self, value):
        self.__contractCallbackUrl = value

    def get_messageStrategy(self):
        return self.__messageStrategy

    def set_messageStrategy(self, value):
        self.__messageStrategy = value

    def get_contractMessageCallbackUrl(self):
        return self.__contractMessageCallbackUrl

    def set_contractMessageCallbackUrl(self, value):
        self.__contractMessageCallbackUrl = value

    def get_contractByPage(self):
        return self.__contractByPage

    def set_contractByPage(self, value):
        self.__contractByPage = value

    def get_callbackForPage(self):
        return self.__callbackForPage

    def set_callbackForPage(self, value):
        self.__callbackForPage = value

    def get_sealAuthCallbackUrl(self):
        return self.__sealAuthCallbackUrl

    def set_sealAuthCallbackUrl(self, value):
        self.__sealAuthCallbackUrl = value

    def get_path(self):
        return '/saas/v2/company/applyapp'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__companyId is not None:
            json_dic['companyId'] = self.__companyId
        if self.__appName is not None:
            json_dic['appName'] = self.__appName
        if self.__domain is not None:
            json_dic['domain'] = self.__domain
        if self.__loginUrl is not None:
            json_dic['loginUrl'] = self.__loginUrl
        if self.__casVerifyUrl is not None:
            json_dic['casVerifyUrl'] = self.__casVerifyUrl
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        if self.__contractCallbackUrl is not None:
            json_dic['contractCallbackUrl'] = self.__contractCallbackUrl
        if self.__messageStrategy is not None:
            json_dic['messageStrategy'] = self.__messageStrategy
        if self.__contractMessageCallbackUrl is not None:
            json_dic['contractMessageCallbackUrl'] = self.__contractMessageCallbackUrl
        if self.__contractByPage is not None:
            json_dic['contractByPage'] = self.__contractByPage
        if self.__callbackForPage is not None:
            json_dic['callbackForPage'] = self.__callbackForPage
        if self.__sealAuthCallbackUrl is not None:
            json_dic['sealAuthCallbackUrl'] = self.__sealAuthCallbackUrl
        parameter.set_json(json.dumps(json_dic))
        return parameter
