import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SaasCompanyAuthPageUrlRequest(BaseHttpRequest):

    def __init__(self, companyName=None, registerNo=None,
                 legalPerson=None,applicantInfo=None,
                 license=None, lang=None, pageStyleInfo=None, callbackUrl=None):
        self.__companyName = companyName
        self.__registerNo = registerNo
        self.__legalPerson = legalPerson
        self.__applicantInfo = applicantInfo
        self.__license = license
        self.__lang = lang
        self.__pageStyleInfo = pageStyleInfo
        self.__callbackUrl = callbackUrl

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_registerNo(self):
        return self.__registerNo

    def set_registerNo(self, value):
        self.__registerNo = value

    def get_legalPerson(self):
        return self.__legalPerson

    def set_legalPerson(self, value):
        self.__legalPerson = value

    def get_applicantInfo(self):
        return self.__applicantInfo

    def set_applicantInfo(self, value):
        self.__applicantInfo = value

    def get_license(self):
        return self.__license

    def set_license(self, value):
        self.__license = value

    def get_lang(self):
        return self.__lang

    def set_lang(self, value):
        self.__lang = value

    def get_pageStyleInfo(self):
        return self.__pageStyleInfo

    def set_pageStyleInfo(self, value):
        self.__pageStyleInfo = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_path(self):
        return '/saas/v2/companyauth/pageurl'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__registerNo is not None:
            parameter.add_params('registerNo', self.__registerNo)
        if self.__companyName is not None:
            parameter.add_params('companyName', self.__companyName)
        if self.__legalPerson is not None:
            parameter.add_params('legalPerson', self.__legalPerson)
        if self.__applicantInfo is not None:
            if isinstance(self.__applicantInfo, str):
                parameter.add_params('applicantInfo', self.__applicantInfo)
            elif isinstance(self.__applicantInfo, dict):
                parameter.add_params('applicantInfo', json.dumps(self.__applicantInfo))
            else:
                parameter.add_params('applicantInfo', json.dumps(self.__applicantInfo.to_json()))
        if self.__license is not None:
            parameter.add_params('license', self.__license)
        if self.__lang is not None:
            parameter.add_params('lang', self.__lang)
        if self.__pageStyleInfo is not None:
            parameter.add_params('pageStyleInfo', self.__pageStyleInfo)
        if self.__callbackUrl is not None:
            parameter.add_params('callbackUrl', self.__callbackUrl)
        return parameter

