import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SealStatusManageRequest(BaseHttpRequest):

    def __init__(self, sealId=None,operate=None):
        self.__sealId = sealId
        self.__operate = operate

    def get_sealId(self):
        return self.__sealId

    def set_sealId(self, value):
        self.__sealId = value

    def get_operate(self):
        return self.__operate

    def set_operate(self, value):
        self.__operate = value

    def get_path(self):
        return '/v2/seal/status'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__sealId is not None:
            json_dic['sealId'] = self.__sealId
        if self.__operate is not None:
            json_dic['operate'] = self.__operate
        parameter.set_json(json.dumps(json_dic))
        return parameter