import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class SignatoryEditRequest(BaseHttpRequest):

    def __init__(self, signatoryId=None, tenantName=None, receiver=None):
        self.__signatoryId = signatoryId
        self.__tenantName = tenantName
        self.__receiver = receiver

    def get_signatoryId(self):
        return self.__signatoryId

    def set_signatoryId(self, value):
        self.__signatoryId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_receiver(self):
        return self.__receiver

    def set_receiver(self, value):
        self.__receiver = value

    def get_path(self):
        return '/v2/signatory/edit'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__signatoryId is not None:
            json_dic['signatoryId'] = self.__signatoryId
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__receiver is not None:
            json_dic['receiver'] = self.__receiver.to_json()
        parameter.set_json(json.dumps(json_dic))
        return parameter