import json

from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod

class SubCompanyInviteRequest(BaseHttpRequest):

    def __init__(self, companyName=None,callbackUrl=None):
        self.__companyName = companyName
        self.__callbackUrl = callbackUrl

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_callbackUrl(self):
        return self.__callbackUrl

    def set_callbackUrl(self, value):
        self.__callbackUrl = value

    def get_path(self):
        return '/v2/subcompany/invite'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__companyName is not None:
            json_dic['companyName'] = self.__companyName
        if self.__callbackUrl is not None:
            json_dic['callbackUrl'] = self.__callbackUrl
        parameter.set_json(json.dumps(json_dic))
        return parameter