from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class TemplateEditRequest(BaseHttpRequest):

    def __init__(self, templateId=None, title=None, templateParams=None, managers=None, range=None):
        self.__templateId = templateId
        self.__title = title
        self.__templateParams = templateParams
        self.__managers = managers
        self.__range = range

    def get_templateId(self):
        return self.__templateId

    def set_templateId(self, value):
        self.__templateId = value

    def get_title(self):
        return self.__title

    def set_title(self, value):
        self.__title = value

    def get_templateParams(self):
        return self.__templateParams

    def set_templateParams(self, value):
        self.__templateParams = value

    def get_managers(self):
        return self.__managers

    def set_managers(self, value):
        self.__managers = value

    def get_range(self):
        return self.__range

    def set_range(self, value):
        self.__range = value

    def get_path(self):
        return '/v2/template/edit'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        json_dic = {}
        if self.__templateId is not None:
            json_dic['templateId'] = self.__templateId
        if self.__title is not None:
            json_dic['title'] = self.__title
        if self.__templateParams is not None:
            param_list = []
            for templateParam in self.__templateParams:
                param_list.append(templateParam.to_json())
            json_dic['templateParams'] = param_list
        if self.__managers is not None:
            manager_list = []
            for manager in self.__managers:
                manager_list.append(manager.to_json())
            json_dic['managers'] = manager_list
        if self.__range is not None:
            range_list = []
            for user in self.__templateParams:
                range_list.append(user.to_json())
            json_dic['range'] = range_list
        parameter.set_json(json.dumps(json_dic))
        return parameter
