from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class VerifierRequest(BaseHttpRequest):

    def __init__(self, file=None, showImg=None):
        self.__file = file
        self.__showImg = showImg

    def get_file(self):
        return self.__file

    def set_file(self, value):
        self.__file = value

    def get_showImg(self):
        return self.__showImg

    def set_showImg(self, value):
        self.__showImg = value

    def get_path(self):
        return '/v2/verify'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__file is not None:
            parameter.add_file('file', self.__file)
        if self.__showImg is not None:
            parameter.add_params('showImg', self.__showImg)
        return parameter
